package com.ruoyi.orderManagement.BasicData.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【车队】对象 fleet_company_msg
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public class FleetCompanyMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 登陆账号 */
    @Excel(name = "登陆账号")
    private String loginAccount;

    /** 公司地址 */
    @Excel(name = "公司地址")
    private String companyAddress;

    /** 公司开户行 */
    @Excel(name = "公司开户行")
    private String openingBank;

    /** 银行账号 */
    @Excel(name = "银行账号")
    private String bankAccount;

    /** 信用等级 */
    @Excel(name = "信用等级")
    private String creditLv;

    /** 账期天数(订单结束后最迟结款天数)  */
    @Excel(name = "账期天数(订单结束后最迟结款天数) ")
    private Long paymentDays;

    /** 公司车辆数 */
    @Excel(name = "公司车辆数")
    private Long carNum;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkMan;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String linkPhone;

    /** 传真 */
    @Excel(name = "传真")
    private String fax;

    /** email */
    @Excel(name = "email")
    private String email;

    /** 总公司 */
    @Excel(name = "总公司")
    private String headOffice;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String registerdCapital;

    /** 法人 */
    @Excel(name = "法人")
    private String legalPerson;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String insdustry;

    /** 社会统一信用代码 */
    @Excel(name = "社会统一信用代码")
    private String creditNum;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String taxpayerNum;

    /** 工商注册号 */
    @Excel(name = "工商注册号")
    private String industryCommerceNum;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String organizationNum;

    /** 登记机关 */
    @Excel(name = "登记机关")
    private String registerOrganization;

    /** 成立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateOfEstablishment;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String companyType;

    /** 营业期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营业期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessDeadline;

    /** 营业区域 */
    @Excel(name = "营业区域")
    private String businessArea;

    /** 审核年检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核年检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date annualDate;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String registerdAddress;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String manageScope;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creatTime;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modificationTime;

    /**
     * 状态(数据字典),N 入（出）库中，T入（出）库完成，状态为完成不能删除，状态变化，用邮件、微信通知客户。
     */
    @Excel(name = "状态")
    private Long billStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 创建者
     */
    private String createBy;


    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setLoginAccount(String loginAccount) 
    {
        this.loginAccount = loginAccount;
    }

    public String getLoginAccount() 
    {
        return loginAccount;
    }
    public void setCompanyAddress(String companyAddress) 
    {
        this.companyAddress = companyAddress;
    }

    public String getCompanyAddress() 
    {
        return companyAddress;
    }
    public void setOpeningBank(String openingBank) 
    {
        this.openingBank = openingBank;
    }

    public String getOpeningBank() 
    {
        return openingBank;
    }
    public void setBankAccount(String bankAccount) 
    {
        this.bankAccount = bankAccount;
    }

    public String getBankAccount() 
    {
        return bankAccount;
    }
    public void setCreditLv(String creditLv) 
    {
        this.creditLv = creditLv;
    }

    public String getCreditLv() 
    {
        return creditLv;
    }
    public void setPaymentDays(Long paymentDays) 
    {
        this.paymentDays = paymentDays;
    }

    public Long getPaymentDays() 
    {
        return paymentDays;
    }
    public void setCarNum(Long carNum) 
    {
        this.carNum = carNum;
    }

    public Long getCarNum() 
    {
        return carNum;
    }
    public void setLinkMan(String linkMan) 
    {
        this.linkMan = linkMan;
    }

    public String getLinkMan() 
    {
        return linkMan;
    }
    public void setLinkPhone(String linkPhone) 
    {
        this.linkPhone = linkPhone;
    }

    public String getLinkPhone() 
    {
        return linkPhone;
    }
    public void setFax(String fax) 
    {
        this.fax = fax;
    }

    public String getFax() 
    {
        return fax;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setHeadOffice(String headOffice) 
    {
        this.headOffice = headOffice;
    }

    public String getHeadOffice() 
    {
        return headOffice;
    }
    public void setRegisterdCapital(String registerdCapital) 
    {
        this.registerdCapital = registerdCapital;
    }

    public String getRegisterdCapital() 
    {
        return registerdCapital;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setInsdustry(String insdustry) 
    {
        this.insdustry = insdustry;
    }

    public String getInsdustry() 
    {
        return insdustry;
    }
    public void setCreditNum(String creditNum) 
    {
        this.creditNum = creditNum;
    }

    public String getCreditNum() 
    {
        return creditNum;
    }
    public void setTaxpayerNum(String taxpayerNum) 
    {
        this.taxpayerNum = taxpayerNum;
    }

    public String getTaxpayerNum() 
    {
        return taxpayerNum;
    }
    public void setIndustryCommerceNum(String industryCommerceNum) 
    {
        this.industryCommerceNum = industryCommerceNum;
    }

    public String getIndustryCommerceNum() 
    {
        return industryCommerceNum;
    }
    public void setOrganizationNum(String organizationNum) 
    {
        this.organizationNum = organizationNum;
    }

    public String getOrganizationNum() 
    {
        return organizationNum;
    }
    public void setRegisterOrganization(String registerOrganization) 
    {
        this.registerOrganization = registerOrganization;
    }

    public String getRegisterOrganization() 
    {
        return registerOrganization;
    }
    public void setDateOfEstablishment(Date dateOfEstablishment) 
    {
        this.dateOfEstablishment = dateOfEstablishment;
    }

    public Date getDateOfEstablishment() 
    {
        return dateOfEstablishment;
    }
    public void setCompanyType(String companyType) 
    {
        this.companyType = companyType;
    }

    public String getCompanyType() 
    {
        return companyType;
    }
    public void setBusinessDeadline(Date businessDeadline) 
    {
        this.businessDeadline = businessDeadline;
    }

    public Date getBusinessDeadline() 
    {
        return businessDeadline;
    }
    public void setBusinessArea(String businessArea) 
    {
        this.businessArea = businessArea;
    }

    public String getBusinessArea() 
    {
        return businessArea;
    }
    public void setAnnualDate(Date annualDate) 
    {
        this.annualDate = annualDate;
    }

    public Date getAnnualDate() 
    {
        return annualDate;
    }
    public void setRegisterdAddress(String registerdAddress) 
    {
        this.registerdAddress = registerdAddress;
    }

    public String getRegisterdAddress() 
    {
        return registerdAddress;
    }
    public void setManageScope(String manageScope) 
    {
        this.manageScope = manageScope;
    }

    public String getManageScope() 
    {
        return manageScope;
    }
    public void setCreatTime(Date creatTime) 
    {
        this.creatTime = creatTime;
    }

    public Date getCreatTime() 
    {
        return creatTime;
    }
    public void setModificationTime(Date modificationTime) 
    {
        this.modificationTime = modificationTime;
    }

    public Date getModificationTime() 
    {
        return modificationTime;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public String getUpdateBy() {
        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyName", getCompanyName())
            .append("loginAccount", getLoginAccount())
            .append("companyAddress", getCompanyAddress())
            .append("openingBank", getOpeningBank())
            .append("bankAccount", getBankAccount())
            .append("creditLv", getCreditLv())
            .append("paymentDays", getPaymentDays())
            .append("carNum", getCarNum())
            .append("linkMan", getLinkMan())
            .append("linkPhone", getLinkPhone())
            .append("fax", getFax())
            .append("email", getEmail())
            .append("headOffice", getHeadOffice())
            .append("registerdCapital", getRegisterdCapital())
            .append("legalPerson", getLegalPerson())
            .append("insdustry", getInsdustry())
            .append("creditNum", getCreditNum())
            .append("taxpayerNum", getTaxpayerNum())
            .append("industryCommerceNum", getIndustryCommerceNum())
            .append("organizationNum", getOrganizationNum())
            .append("registerOrganization", getRegisterOrganization())
            .append("dateOfEstablishment", getDateOfEstablishment())
            .append("companyType", getCompanyType())
            .append("businessDeadline", getBusinessDeadline())
            .append("businessArea", getBusinessArea())
            .append("annualDate", getAnnualDate())
            .append("registerdAddress", getRegisterdAddress())
            .append("manageScope", getManageScope())
            .append("creatTime", getCreatTime())
            .append("modificationTime", getModificationTime())
            .toString();
    }
}
